# Commerce (Orders & Inventory) The Orders & Inventory, or Commerce, API is focused on the processing and fulfillment of Orders. Additionally, you can use this API to manage your inventory, merchandise, and online store. Like most of the other Rhythm apps, the Commerce API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API. Version: v1-2025-04-18 ## Servers ``` https://commerce.api.rhythmsoftware.com ``` ## Security ### knox-authorizer Type: http Scheme: bearer Bearer Format: JWT ## Download OpenAPI description [Commerce (Orders & Inventory)](https://docs.api.rhythmsoftware.com/_bundle/apis/commerce/commerce-v1.yaml) ## Cancellation Fees Cancellation Fees ### Gets all of the cancellation fees in the system. - [GET /cancellationFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/listcancellationfees.md): This method will scan all cancellation fees and and return them to the caller. ### Creates a new cancellation fee record that does not already exist. - [POST /cancellationFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/createcancellationfee.md): This method will auto-generate an ID and create a new cancellation fee. If an ID is specified for the cancellation fee, an error will be thrown. ### Execute Batch Operations - [POST /cancellationFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a cancellation fee from the system by its ID. - [DELETE /cancellationFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/deletecancellationfee.md): This method will delete a cancellation fee with the specified ID. ### Returns a cancellation fee from the system by its ID. - [GET /cancellationFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/getcancellationfee.md): This method will look up a cancellation fee by the specified ID and return it back. ### Partially updates a cancellation fee with the specified ID. - [PATCH /cancellationFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/patchcancellationfee.md): This method will patch an existing cancellation fee with the specified ID, using the HTTP PATCH specification. ### Updates a cancellation fee with the specified ID. - [PUT /cancellationFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/updatecancellationfee.md): This method will update an existing cancellation fee with the specified ID. ## Cancellations Cancellations ### Initiates workflow to warm up inventory transactions - [POST /cancellations/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/warmupstepfunctions.md) ### Processes a cancellation - [POST /cancellations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/processcancellation.md): This method will auto-generate an ID and create a new cancellation. If an ID is specified for the cancellation, an error will be thrown. ### Execute Batch Operations - [POST /cancellations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified order_id - [GET /cancellations/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/listcancellationsbyorderid.md): Returns a list of records with the specified order_id ### Sends out a preview of the CRC notification email - [POST /cancellations/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/previewemail.md): Sends out a preview of the CRC notification email ### Processes a cancellation - [POST /cancellations/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/processcancellationsync.md): This method will auto-generate an ID and create a new cancellation. If an ID is specified for the cancellation, an error will be thrown. ### Returns a cancellation from the system by its ID. - [DELETE /cancellations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/deletecancellation.md): This method will delete a cancellation with the specified ID. ### Returns a cancellation from the system by its ID. - [GET /cancellations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/getcancellation.md): This method will look up a cancellation by the specified ID and return it back. ### Partially updates a cancellation with the specified ID. - [PATCH /cancellations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/patchcancellation.md): This method will patch an existing cancellation with the specified ID, using the HTTP PATCH specification. ### Updates a cancellation with the specified ID. - [PUT /cancellations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/updatecancellation.md): This method will update an existing cancellation with the specified ID. ## Carts Carts ### Creates a new cart record that does not already exist. - [POST /carts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/carts/createcart.md): This method will auto-generate an ID and create a new cart. If an ID is specified for the cart, an error will be thrown. ### Execute Batch Operations - [POST /carts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/carts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a cart from the system by its ID. - [DELETE /carts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/carts/deletecart.md): This method will delete a cart with the specified ID. ### Returns a cart from the system by its ID. - [GET /carts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/carts/getcart.md): This method will look up a cart by the specified ID and return it back. ### Partially updates a cart with the specified ID. - [PATCH /carts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/carts/patchcart.md): This method will patch an existing cart with the specified ID, using the HTTP PATCH specification. ### Updates a cart with the specified ID. - [PUT /carts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/carts/updatecart.md): This method will update an existing cart with the specified ID. ## Coupon Code Gen Processes Coupon Code Gen Processes ### Gets all of the coupon code gen processes in the system. - [GET /couponCodeGenProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/listcouponcodegenprocesses.md): This method will scan all coupon code gen processes and and return them to the caller. ### Creates a new coupon code gen process record that does not already exist. - [POST /couponCodeGenProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/createcouponcodegenprocess.md): This method will auto-generate an ID and create a new coupon code gen process. If an ID is specified for the coupon code gen process, an error will be thrown. ### Execute Batch Operations - [POST /couponCodeGenProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a coupon code gen process from the system by its ID. - [DELETE /couponCodeGenProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/deletecouponcodegenprocess.md): This method will delete a coupon code gen process with the specified ID. ### Returns a coupon code gen process from the system by its ID. - [GET /couponCodeGenProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/getcouponcodegenprocess.md): This method will look up a coupon code gen process by the specified ID and return it back. ### Partially updates a coupon code gen process with the specified ID. - [PATCH /couponCodeGenProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/patchcouponcodegenprocess.md): This method will patch an existing coupon code gen process with the specified ID, using the HTTP PATCH specification. ### Updates a coupon code gen process with the specified ID. - [PUT /couponCodeGenProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/updatecouponcodegenprocess.md): This method will update an existing coupon code gen process with the specified ID. ## Coupon Codes Coupon Codes ### Returns a list of records with the specified tenant_id - [GET /couponCodes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbytenantid.md): Returns a list of records with the specified tenant_id ### Creates a new coupon code record that does not already exist. - [POST /couponCodes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/createcouponcode.md): This method will auto-generate an ID and create a new coupon code. If an ID is specified for the coupon code, an error will be thrown. ### Execute Batch Operations - [POST /couponCodes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified contact_id - [GET /couponCodes/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbycontactid.md): Returns a list of records with the specified contact_id ### Returns a list of records with the specified coupon_id - [GET /couponCodes/{tenantId}/coupon/{coupon_type}/{coupon_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbycouponid.md): Returns a list of records with the specified coupon_id ### Returns a list of records with the specified order_id - [GET /couponCodes/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbyorderid.md): Returns a list of records with the specified order_id ### Returns a list of records with the specified organization_id - [GET /couponCodes/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbyorganizationid.md): Returns a list of records with the specified organization_id ### Sends out a preview of the email - [POST /couponCodes/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/previewemail.md): Sends out a preview of the email ### Returns a coupon code from the system by its ID. - [DELETE /couponCodes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/deletecouponcode.md): This method will delete a coupon code with the specified ID. ### Returns a coupon code from the system by its ID. - [GET /couponCodes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/getcouponcode.md): This method will look up a coupon code by the specified ID and return it back. ### Partially updates a coupon code with the specified ID. - [PATCH /couponCodes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/patchcouponcode.md): This method will patch an existing coupon code with the specified ID, using the HTTP PATCH specification. ### Updates a coupon code with the specified ID. - [PUT /couponCodes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/updatecouponcode.md): This method will update an existing coupon code with the specified ID. ## Coupons Coupons ### Gets all of the coupons in the system. - [GET /coupons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupons/listcoupons.md): This method will scan all coupons and and return them to the caller. ### Creates a new coupon record that does not already exist. - [POST /coupons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupons/createcoupon.md): This method will auto-generate an ID and create a new coupon. If an ID is specified for the coupon, an error will be thrown. ### Execute Batch Operations - [POST /coupons/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a coupon from the system by its ID. - [DELETE /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupons/deletecoupon.md): This method will delete a coupon with the specified ID. ### Returns a coupon from the system by its ID. - [GET /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupons/getcoupon.md): This method will look up a coupon by the specified ID and return it back. ### Partially updates a coupon with the specified ID. - [PATCH /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupons/patchcoupon.md): This method will patch an existing coupon with the specified ID, using the HTTP PATCH specification. ### Updates a coupon with the specified ID. - [PUT /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupons/updatecoupon.md): This method will update an existing coupon with the specified ID. ## Discount Products Discount Products ### Gets all of the discount products in the system. - [GET /discountProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/listdiscountproducts.md): This method will scan all discount products and and return them to the caller. ### Creates a new discount product record that does not already exist. - [POST /discountProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/creatediscountproduct.md): This method will auto-generate an ID and create a new discount product. If an ID is specified for the discount product, an error will be thrown. ### Execute Batch Operations - [POST /discountProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a discount product from the system by its ID. - [DELETE /discountProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/deletediscountproduct.md): This method will delete a discount product with the specified ID. ### Returns a discount product from the system by its ID. - [GET /discountProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/getdiscountproduct.md): This method will look up a discount product by the specified ID and return it back. ### Partially updates a discount product with the specified ID. - [PATCH /discountProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/patchdiscountproduct.md): This method will patch an existing discount product with the specified ID, using the HTTP PATCH specification. ### Updates a discount product with the specified ID. - [PUT /discountProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/updatediscountproduct.md): This method will update an existing discount product with the specified ID. ## Entitlement Types Entitlement Types ### Gets all of the entitlement types in the system. - [GET /entitlementTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/listentitlementtypes.md): This method will scan all entitlement types and and return them to the caller. ### Creates a new entitlement type record that does not already exist. - [POST /entitlementTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/createentitlementtype.md): This method will auto-generate an ID and create a new entitlement type. If an ID is specified for the entitlement type, an error will be thrown. ### Execute Batch Operations - [POST /entitlementTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a entitlement type from the system by its ID. - [DELETE /entitlementTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/deleteentitlementtype.md): This method will delete a entitlement type with the specified ID. ### Returns a entitlement type from the system by its ID. - [GET /entitlementTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/getentitlementtype.md): This method will look up a entitlement type by the specified ID and return it back. ### Partially updates a entitlement type with the specified ID. - [PATCH /entitlementTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/patchentitlementtype.md): This method will patch an existing entitlement type with the specified ID, using the HTTP PATCH specification. ### Updates a entitlement type with the specified ID. - [PUT /entitlementTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/updateentitlementtype.md): This method will update an existing entitlement type with the specified ID. ## Entitlements Entitlements ### Creates a new entitlement record that does not already exist. - [POST /entitlements/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/createentitlement.md): This method will auto-generate an ID and create a new entitlement. If an ID is specified for the entitlement, an error will be thrown. ### Execute Batch Operations - [POST /entitlements/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Check that a contact/organization has an entitlement - [GET /entitlements/{tenantId}/checkEntitlement/{owner_type}/{owner_id}/{type_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/checkentitlement.md): Returns a list of records with the specified owner_entitlement_type ### Returns a list of records with the specified contact_id - [GET /entitlements/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/listentitlementsbycontactid.md): Returns a list of records with the specified contact_id ### Returns a list of records with the specified order_id - [GET /entitlements/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/listentitlementsbyorderid.md): Returns a list of records with the specified order_id ### Returns a list of records with the specified organization_id - [GET /entitlements/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/listentitlementsbyorganizationid.md): Returns a list of records with the specified organization_id ### Returns a list of records with the specified owner_entitlement_type - [GET /entitlements/{tenantId}/ownerEntitlementType/{owner_type}/{owner_id}/{type_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/listentitlementsbyownerentitlementtype.md): Returns a list of records with the specified owner_entitlement_type ### Returns a entitlement from the system by its ID. - [DELETE /entitlements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/deleteentitlement.md): This method will delete a entitlement with the specified ID. ### Returns a entitlement from the system by its ID. - [GET /entitlements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/getentitlement.md): This method will look up a entitlement by the specified ID and return it back. ### Partially updates a entitlement with the specified ID. - [PATCH /entitlements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/patchentitlement.md): This method will patch an existing entitlement with the specified ID, using the HTTP PATCH specification. ### Updates a entitlement with the specified ID. - [PUT /entitlements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/updateentitlement.md): This method will update an existing entitlement with the specified ID. ## Inventory Transactions Inventory Transactions ### Initiates workflow to warm up inventory transactions - [POST /inventoryTransactions/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/warmupinventorytransactions.md) ### Execute Batch Operations - [POST /inventoryTransactions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified open_purchase_order_id - [GET /inventoryTransactions/{tenantId}/openPurchaseOrders/{product_type}/{product_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/listopenpurchaseordersforproduct.md): Returns a list of records with the specified open_purchase_order_id ### Returns a list of records with the specified order_id - [GET /inventoryTransactions/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/listtransactionsbyorderid.md): Returns a list of records with the specified order_id ### Initiates workflow to process an inventory transaction - [POST /inventoryTransactions/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/processinventorytransaction.md): This method will auto-generate an ID and create a new inventory transaction. If an ID is specified for the inventory transaction, an error will be thrown. ### Initiates workflow to process an inventory transaction - [POST /inventoryTransactions/{tenantId}/process/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/processinventorytransactionsync.md): This method will auto-generate an ID and create a new inventory transaction. If an ID is specified for the inventory transaction, an error will be thrown. ### Returns a list of records with the specified product_inventory_id - [GET /inventoryTransactions/{tenantId}/productInventory/{product_inventory_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/listtransactionsbyproductinventoryid.md): Returns a list of records with the specified product_inventory_id ### Returns a inventory transaction from the system by its ID. - [GET /inventoryTransactions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/getinventorytransaction.md): This method will look up a inventory transaction by the specified ID and return it back. ### Partially updates a inventory transaction with the specified ID. - [PATCH /inventoryTransactions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/patchinventorytransaction.md): This method will patch an existing inventory transaction with the specified ID, using the HTTP PATCH specification. ### Updates a inventory transaction with the specified ID. - [PUT /inventoryTransactions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/updateinventorytransaction.md): This method will update an existing inventory transaction with the specified ID. ## Merchandise Merchandise ### Gets all of the merchandise in the system. - [GET /merchandise/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/listmerchandise.md): This method will scan all merchandise and and return them to the caller. ### Creates a new merchandise record that does not already exist. - [POST /merchandise/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/createmerchandise.md): This method will auto-generate an ID and create a new merchandise. If an ID is specified for the merchandise, an error will be thrown. ### Execute Batch Operations - [POST /merchandise/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified category_id - [GET /merchandise/{tenantId}/category/{category_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/listmerchandisebycategoryid.md): Returns a list of records with the specified category_id ### Lists all merchandise - [GET /merchandise/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/listallpublicmerchandise.md): Lists all merchandise ### Gets merchandise info - [GET /merchandise/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/get.md): Gets merchandise info ### Searches for merchandise using predefined parameters - [POST /merchandise/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/searchformerchandise.md): Searches for merchandise using predefined parameters ### Returns a merchandise from the system by its ID. - [DELETE /merchandise/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/deletemerchandise.md): This method will delete a merchandise with the specified ID. ### Returns a merchandise from the system by its ID. - [GET /merchandise/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/getmerchandise.md): This method will look up a merchandise by the specified ID and return it back. ### Partially updates a merchandise with the specified ID. - [PATCH /merchandise/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/patchmerchandise.md): This method will patch an existing merchandise with the specified ID, using the HTTP PATCH specification. ### Updates a merchandise with the specified ID. - [PUT /merchandise/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/updatemerchandise.md): This method will update an existing merchandise with the specified ID. ## Orders Orders ### Gets all of the orders in the system. - [GET /orders/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listorders.md): This method will scan all orders and and return them to the caller. ### Processes a order - [POST /orders/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/processorder.md): This method will auto-generate an ID and create a new order. If an ID is specified for the order, an error will be thrown. ### Execute Batch Operations - [POST /orders/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified bill_to_contact_id - [GET /orders/{tenantId}/billToContact/{bill_to_contact_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbybilltocontactid.md): Returns a list of records with the specified bill_to_contact_id ### Returns a list of records with the specified bill_to_organization_id - [GET /orders/{tenantId}/billToOrganization/{bill_to_organization_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbybilltoorganizationid.md): Returns a list of records with the specified bill_to_organization_id ### Checks to see whether or not a person is eligible based on specified criteria - [POST /orders/{tenantId}/checkEligibility/{customerType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/checkeligibility.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options ### Checks to see whether or not a person is eligible based on specified criteria - [POST /orders/{tenantId}/checkPrice/{customerType}/{billToId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/checkprice.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options ### Closes an Order - [POST /orders/{tenantId}/close/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/closeorder.md): Closes an order ### Returns a list of records with the specified coupon_id - [GET /orders/{tenantId}/coupon/{coupon_type}/{coupon_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbycouponid.md): Returns a list of records with the specified coupon_id ### Returns a list of records with the specified coupon_code_id - [GET /orders/{tenantId}/couponCodeUsages/{coupon_code_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listcouponcodeusagesbycouponcode.md): Returns a list of records with the specified coupon_code_id ### Returns a list of records with the specified coupon id - [GET /orders/{tenantId}/couponUsages/{coupon_type}/{coupon_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listcouponusagesbycoupon.md): Returns a list of records with the specified coupon id ### List orders by customer - [GET /orders/{tenantId}/customer/{customerType}/{customerId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbycustomer.md): Includes orders where ship to ### Returns a list of records with the specified installment_schedule_id - [GET /orders/{tenantId}/installmentSchedule/{installment_schedule_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbyinstallmentscheduleid.md): Returns a list of records with the specified installment_schedule_id ### Gets all of the orders in the system for a given contact. - [GET /orders/{tenantId}/portal/contact/{portalContactId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersforportal.md): This method will scan all orders and and return them to the caller for a given contact. ### Returns a order from the system by its ID for a given contact. - [GET /orders/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/getorderforportal.md): This method will look up a order by the specified ID and return it back (for a portal contact) ### Gets all of the orders in the system for a given organization. - [GET /orders/{tenantId}/portal/organization/{portalOrganizationId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersforportalbyorganization.md): This method will scan all orders and and return them to the caller for a given organization. ### Returns a order from the system by its ID for a given organization. - [GET /orders/{tenantId}/portal/organization/{portalOrganizationId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/getorderforportal.md): This method will look up a order by the specified ID and return it back (for a portal organization) ### Preview an order - [POST /orders/{tenantId}/preview](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previeworder.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options ### Sends out a preview of the CRC notification email - [POST /orders/{tenantId}/previewOrderConfirmationEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previeworderconfirmationemail.md): Sends out a preview of the CRC notification email ### Sends out a preview of the CRC notification email - [POST /orders/{tenantId}/previewProductConfirmationEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previewproductconfirmationemail.md): Sends out a preview of the CRC notification email ### Previews an order with line item overrides - [POST /orders/{tenantId}/previewWithOverride](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previeworderwithoverride.md): This is designed to be run by administrators; allows an order to e previewed but have prices or quantities overridden ### Processes an order with line item overrides - [POST /orders/{tenantId}/processWithOverride](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/processorderwithoverride.md): This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden ### Processes an order with line item overrides - [POST /orders/{tenantId}/processWithOverride/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/processorderwithoverridesync.md): This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden ### Gets the availability of merchandise - [POST /orders/{tenantId}/public/checkAvailability](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/getmerchandiseavailability.md): Takes in merchandise and determines it's availability ### Preview an order - [POST /orders/{tenantId}/public/describeProducts](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/describeproducts.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options ### Previews an order publicly - [POST /orders/{tenantId}/public/preview](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previeworder.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options ### Applies a coupon to an existing order - [POST /orders/{tenantId}/retroactivelyApplyCoupon](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/retroactivelyapplycoupontoorder.md): This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden ### Applies a coupon to an existing order - [POST /orders/{tenantId}/retroactivelyApplyCoupon/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/retroactivelyapplycoupontoordersync.md): This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden ### Searches for orders using predefined parameters - [POST /orders/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/searchfororders.md): Searches for orders using predefined parameters ### Returns a list of records with the specified ship_to_contact_id - [GET /orders/{tenantId}/shipToContact/{ship_to_contact_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbyshiptocontactid.md): Returns a list of records with the specified ship_to_contact_id ### Returns a list of records with the specified ship_to_organization_id - [GET /orders/{tenantId}/shipToOrganization/{ship_to_organization_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbyshiptoorganizationid.md): Returns a list of records with the specified ship_to_organization_id ### Returns a list of shippable orders with the specified status - [GET /orders/{tenantId}/shippable/status/{status}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listshippableordersbystatus.md): Returns a list of shippable orders with the specified status ### Returns a list of records with the specified shippable_status - [GET /orders/{tenantId}/shippableStatus/{shippable_status}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbyshippablestatus.md): Returns a list of records with the specified shippable_status ### Creates a new order that doesn't already exist - [POST /orders/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/processordersync.md): This method will auto-generate an ID and create a new order. If an ID is specified for the order, an error will be thrown. ### Void an order - [POST /orders/{tenantId}/void/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/voidorder.md): This method voids an order ### Returns a order from the system by its ID. - [DELETE /orders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/deleteorder.md): This method will delete a order with the specified ID. ### Returns a order from the system by its ID. - [GET /orders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/getorder.md): This method will look up a order by the specified ID and return it back. ### Partially updates a order with the specified ID. - [PATCH /orders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/patchorder.md): This method will patch an existing order with the specified ID, using the HTTP PATCH specification. ### Updates a order with the specified ID. - [PUT /orders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/updateorder.md): This method will update an existing order with the specified ID. ## Product Categories Product Categories ### Gets all of the product categories in the system. - [GET /productCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/listproductcategories.md): This method will scan all product categories and and return them to the caller. ### Creates a new product category record that does not already exist. - [POST /productCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/createproductcategory.md): This method will auto-generate an ID and create a new product category. If an ID is specified for the product category, an error will be thrown. ### Execute Batch Operations - [POST /productCategories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a product category from the system by its ID. - [DELETE /productCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/deleteproductcategory.md): This method will delete a product category with the specified ID. ### Returns a product category from the system by its ID. - [GET /productCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/getproductcategory.md): This method will look up a product category by the specified ID and return it back. ### Partially updates a product category with the specified ID. - [PATCH /productCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/patchproductcategory.md): This method will patch an existing product category with the specified ID, using the HTTP PATCH specification. ### Updates a product category with the specified ID. - [PUT /productCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/updateproductcategory.md): This method will update an existing product category with the specified ID. ## Product Confirmation Emails Product Confirmation Emails ### Gets all of the product confirmation emails in the system. - [GET /productConfirmationEmails/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/listproductconfirmationemails.md): This method will scan all product confirmation emails and and return them to the caller. ### Creates a new product confirmation email record that does not already exist. - [POST /productConfirmationEmails/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/createproductconfirmationemail.md): This method will auto-generate an ID and create a new product confirmation email. If an ID is specified for the product confirmation email, an error will be thrown. ### Execute Batch Operations - [POST /productConfirmationEmails/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a product confirmation email from the system by its ID. - [DELETE /productConfirmationEmails/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/deleteproductconfirmationemail.md): This method will delete a product confirmation email with the specified ID. ### Returns a product confirmation email from the system by its ID. - [GET /productConfirmationEmails/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/getproductconfirmationemail.md): This method will look up a product confirmation email by the specified ID and return it back. ### Partially updates a product confirmation email with the specified ID. - [PATCH /productConfirmationEmails/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/patchproductconfirmationemail.md): This method will patch an existing product confirmation email with the specified ID, using the HTTP PATCH specification. ### Updates a product confirmation email with the specified ID. - [PUT /productConfirmationEmails/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/updateproductconfirmationemail.md): This method will update an existing product confirmation email with the specified ID. ## Product Inventories Product Inventories ### Gets all of the product inventories in the system. - [GET /productInventories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/listproductinventories.md): This method will scan all product inventories and and return them to the caller. ### Creates a new product inventory record that does not already exist. - [POST /productInventories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/createproductinventory.md): This method will auto-generate an ID and create a new product inventory. If an ID is specified for the product inventory, an error will be thrown. ### Execute Batch Operations - [POST /productInventories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified product_id - [GET /productInventories/{tenantId}/product/{product_type}/{product_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/listinventoriesbyproductid.md): Returns a list of records with the specified product_id ### Returns a product inventory from the system by its ID. - [DELETE /productInventories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/deleteproductinventory.md): This method will delete a product inventory with the specified ID. ### Returns a product inventory from the system by its ID. - [GET /productInventories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/getproductinventory.md): This method will look up a product inventory by the specified ID and return it back. ### Partially updates a product inventory with the specified ID. - [PATCH /productInventories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/patchproductinventory.md): This method will patch an existing product inventory with the specified ID, using the HTTP PATCH specification. ### Updates a product inventory with the specified ID. - [PUT /productInventories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-inventories/updateproductinventory.md): This method will update an existing product inventory with the specified ID. ## Query Definitions Query Definitions ### Returns a list of records - [GET /queryDefinitions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/query-definitions/getquerydefinitions.md): Returns a list of records ## Returns Returns ### Initiates workflow to warm up inventory transactions - [POST /returns/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/warmupstepfunctions.md) ### Processes a return - [POST /returns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/processreturn.md): This method will auto-generate an ID and create a new return. If an ID is specified for the return, an error will be thrown. ### Execute Batch Operations - [POST /returns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified order_id - [GET /returns/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/listreturnsbyorderid.md): Returns a list of records with the specified order_id ### Sends out a preview of the CRC notification email - [POST /returns/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/previewemail.md): Sends out a preview of the CRC notification email ### Processes a return - [POST /returns/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/processreturnsync.md): This method will auto-generate an ID and create a new return. If an ID is specified for the return, an error will be thrown. ### Returns a return from the system by its ID. - [DELETE /returns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/deletereturn.md): This method will delete a return with the specified ID. ### Returns a return from the system by its ID. - [GET /returns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/getreturn.md): This method will look up a return by the specified ID and return it back. ### Partially updates a return with the specified ID. - [PATCH /returns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/patchreturn.md): This method will patch an existing return with the specified ID, using the HTTP PATCH specification. ### Updates a return with the specified ID. - [PUT /returns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/updatereturn.md): This method will update an existing return with the specified ID. ## Settings Settings ### Returns a setting from the system by its ID. - [DELETE /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/settings/deletesetting.md): This method will delete a setting with the specified ID. ### Returns a setting from the system by its ID. - [GET /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/settings/getsetting.md): This method will look up a setting by the specified ID and return it back. ### Partially updates a setting with the specified ID. - [PATCH /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/settings/patchsetting.md): This method will patch an existing setting with the specified ID, using the HTTP PATCH specification. ### Creates a new setting record that does not already exist. - [POST /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/settings/createsetting.md): This method will auto-generate an ID and create a new setting. If an ID is specified for the setting, an error will be thrown. ### Updates a setting with the specified ID. - [PUT /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/settings/updatesetting.md): This method will update an existing setting with the specified ID. ## Shared Modifier Options Shared Modifier Options ### Gets all of the shared modifier options in the system. - [GET /sharedModifierOptions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/listsharedmodifieroptions.md): This method will scan all shared modifier options and and return them to the caller. ### Creates a new shared modifier option record that does not already exist. - [POST /sharedModifierOptions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/createsharedmodifieroption.md): This method will auto-generate an ID and create a new shared modifier option. If an ID is specified for the shared modifier option, an error will be thrown. ### Execute Batch Operations - [POST /sharedModifierOptions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a shared modifier option from the system by its ID. - [DELETE /sharedModifierOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/deletesharedmodifieroption.md): This method will delete a shared modifier option with the specified ID. ### Returns a shared modifier option from the system by its ID. - [GET /sharedModifierOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/getsharedmodifieroption.md): This method will look up a shared modifier option by the specified ID and return it back. ### Partially updates a shared modifier option with the specified ID. - [PATCH /sharedModifierOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/patchsharedmodifieroption.md): This method will patch an existing shared modifier option with the specified ID, using the HTTP PATCH specification. ### Updates a shared modifier option with the specified ID. - [PUT /sharedModifierOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/updatesharedmodifieroption.md): This method will update an existing shared modifier option with the specified ID. ## Shared Variant Options Shared Variant Options ### Gets all of the shared variant options in the system. - [GET /sharedVariantOptions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/listsharedvariantoptions.md): This method will scan all shared variant options and and return them to the caller. ### Creates a new shared variant option record that does not already exist. - [POST /sharedVariantOptions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/createsharedvariantoption.md): This method will auto-generate an ID and create a new shared variant option. If an ID is specified for the shared variant option, an error will be thrown. ### Execute Batch Operations - [POST /sharedVariantOptions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a shared variant option from the system by its ID. - [DELETE /sharedVariantOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/deletesharedvariantoption.md): This method will delete a shared variant option with the specified ID. ### Returns a shared variant option from the system by its ID. - [GET /sharedVariantOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/getsharedvariantoption.md): This method will look up a shared variant option by the specified ID and return it back. ### Partially updates a shared variant option with the specified ID. - [PATCH /sharedVariantOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/patchsharedvariantoption.md): This method will patch an existing shared variant option with the specified ID, using the HTTP PATCH specification. ### Updates a shared variant option with the specified ID. - [PUT /sharedVariantOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/updatesharedvariantoption.md): This method will update an existing shared variant option with the specified ID. ## Shipments Shipments ### Initiates workflow to warm up inventory transactions - [POST /shipments/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/warmupstepfunctions.md) ### Processes a shipment - [POST /shipments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/processshipment.md): This method will auto-generate an ID and create a new shipment. If an ID is specified for the shipment, an error will be thrown. ### Execute Batch Operations - [POST /shipments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified order_id - [GET /shipments/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/listshipmentsbyorderid.md): Returns a list of records with the specified order_id ### Sends out a preview of the CRC notification email - [POST /shipments/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/previewemail.md): Sends out a preview of the CRC notification email ### Gets all of the shipments in the system. - [GET /shipments/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/listshipments.md): This method will scan all shipments and and return them to the caller. ### Processes a shipment - [POST /shipments/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/processshipmentsync.md): This method will auto-generate an ID and create a new shipment. If an ID is specified for the shipment, an error will be thrown. ### Returns a shipment from the system by its ID. - [DELETE /shipments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/deleteshipment.md): This method will delete a shipment with the specified ID. ### Returns a shipment from the system by its ID. - [GET /shipments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/getshipment.md): This method will look up a shipment by the specified ID and return it back. ### Partially updates a shipment with the specified ID. - [PATCH /shipments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/patchshipment.md): This method will patch an existing shipment with the specified ID, using the HTTP PATCH specification. ### Updates a shipment with the specified ID. - [PUT /shipments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/updateshipment.md): This method will update an existing shipment with the specified ID. ## Shipping Configurations Shipping Configurations ### Returns a shipping configuration from the system by its ID. - [DELETE /shippingConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-configurations/deleteshippingconfiguration.md): This method will delete a shipping configuration with the specified ID. ### Returns a shipping configuration from the system by its ID. - [GET /shippingConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-configurations/getshippingconfiguration.md): This method will look up a shipping configuration by the specified ID and return it back. ### Partially updates a shipping configuration with the specified ID. - [PATCH /shippingConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-configurations/patchshippingconfiguration.md): This method will patch an existing shipping configuration with the specified ID, using the HTTP PATCH specification. ### Creates a new shipping configuration record that does not already exist. - [POST /shippingConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-configurations/createshippingconfiguration.md): This method will auto-generate an ID and create a new shipping configuration. If an ID is specified for the shipping configuration, an error will be thrown. ### Updates a shipping configuration with the specified ID. - [PUT /shippingConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-configurations/updateshippingconfiguration.md): This method will update an existing shipping configuration with the specified ID. ## Shipping Products Shipping Products ### Gets all of the shipping products in the system. - [GET /shippingProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/listshippingproducts.md): This method will scan all shipping products and and return them to the caller. ### Creates a new shipping product record that does not already exist. - [POST /shippingProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/createshippingproduct.md): This method will auto-generate an ID and create a new shipping product. If an ID is specified for the shipping product, an error will be thrown. ### Execute Batch Operations - [POST /shippingProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a shipping product from the system by its ID. - [DELETE /shippingProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/deleteshippingproduct.md): This method will delete a shipping product with the specified ID. ### Returns a shipping product from the system by its ID. - [GET /shippingProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/getshippingproduct.md): This method will look up a shipping product by the specified ID and return it back. ### Partially updates a shipping product with the specified ID. - [PATCH /shippingProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/patchshippingproduct.md): This method will patch an existing shipping product with the specified ID, using the HTTP PATCH specification. ### Updates a shipping product with the specified ID. - [PUT /shippingProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/updateshippingproduct.md): This method will update an existing shipping product with the specified ID. ## Statistics Statistics ### Execute Batch Operations - [POST /statistics/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/statistics/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a statistic from the system by its ID. - [GET /statistics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/statistics/getstatistic.md): This method will look up a statistic by the specified ID and return it back. ## Stores Stores ### Gets all of the stores in the system. - [GET /stores/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/liststores.md): This method will scan all stores and and return them to the caller. ### Creates a new store record that does not already exist. - [POST /stores/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/createstore.md): This method will auto-generate an ID and create a new store. If an ID is specified for the store, an error will be thrown. ### Execute Batch Operations - [POST /stores/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Gets the public store info - [GET /stores/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/getpublicstoreinfo.md): Gets the public store info ### Returns a store from the system by its ID. - [DELETE /stores/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/deletestore.md): This method will delete a store with the specified ID. ### Returns a store from the system by its ID. - [GET /stores/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/getstore.md): This method will look up a store by the specified ID and return it back. ### Partially updates a store with the specified ID. - [PATCH /stores/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/patchstore.md): This method will patch an existing store with the specified ID, using the HTTP PATCH specification. ### Updates a store with the specified ID. - [PUT /stores/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/updatestore.md): This method will update an existing store with the specified ID. ## Tax Classes Tax Classes ### Gets all of the tax classes in the system. - [GET /taxClasses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/listtaxclasses.md): This method will scan all tax classes and and return them to the caller. ### Creates a new tax class record that does not already exist. - [POST /taxClasses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/createtaxclass.md): This method will auto-generate an ID and create a new tax class. If an ID is specified for the tax class, an error will be thrown. ### Execute Batch Operations - [POST /taxClasses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a tax class from the system by its ID. - [DELETE /taxClasses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/deletetaxclass.md): This method will delete a tax class with the specified ID. ### Returns a tax class from the system by its ID. - [GET /taxClasses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/gettaxclass.md): This method will look up a tax class by the specified ID and return it back. ### Partially updates a tax class with the specified ID. - [PATCH /taxClasses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/patchtaxclass.md): This method will patch an existing tax class with the specified ID, using the HTTP PATCH specification. ### Updates a tax class with the specified ID. - [PUT /taxClasses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/updatetaxclass.md): This method will update an existing tax class with the specified ID. ## Tax Configurations Tax Configurations ### Returns a tax configuration from the system by its ID. - [DELETE /taxConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-configurations/deletetaxconfiguration.md): This method will delete a tax configuration with the specified ID. ### Returns a tax configuration from the system by its ID. - [GET /taxConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-configurations/gettaxconfiguration.md): This method will look up a tax configuration by the specified ID and return it back. ### Partially updates a tax configuration with the specified ID. - [PATCH /taxConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-configurations/patchtaxconfiguration.md): This method will patch an existing tax configuration with the specified ID, using the HTTP PATCH specification. ### Creates a new tax configuration record that does not already exist. - [POST /taxConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-configurations/createtaxconfiguration.md): This method will auto-generate an ID and create a new tax configuration. If an ID is specified for the tax configuration, an error will be thrown. ### Updates a tax configuration with the specified ID. - [PUT /taxConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-configurations/updatetaxconfiguration.md): This method will update an existing tax configuration with the specified ID. ## Tax Products Tax Products ### Gets all of the tax products in the system. - [GET /taxProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/listtaxproducts.md): This method will scan all tax products and and return them to the caller. ### Creates a new tax product record that does not already exist. - [POST /taxProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/createtaxproduct.md): This method will auto-generate an ID and create a new tax product. If an ID is specified for the tax product, an error will be thrown. ### Execute Batch Operations - [POST /taxProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a tax product from the system by its ID. - [DELETE /taxProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/deletetaxproduct.md): This method will delete a tax product with the specified ID. ### Returns a tax product from the system by its ID. - [GET /taxProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/gettaxproduct.md): This method will look up a tax product by the specified ID and return it back. ### Partially updates a tax product with the specified ID. - [PATCH /taxProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/patchtaxproduct.md): This method will patch an existing tax product with the specified ID, using the HTTP PATCH specification. ### Updates a tax product with the specified ID. - [PUT /taxProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/updatetaxproduct.md): This method will update an existing tax product with the specified ID. ## Warehouse Bins Warehouse Bins ### Gets all of the warehouse bins in the system. - [GET /warehouseBins/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/listwarehousebins.md): This method will scan all warehouse bins and and return them to the caller. ### Creates a new warehouse bin record that does not already exist. - [POST /warehouseBins/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/createwarehousebin.md): This method will auto-generate an ID and create a new warehouse bin. If an ID is specified for the warehouse bin, an error will be thrown. ### Execute Batch Operations - [POST /warehouseBins/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a warehouse bin from the system by its ID. - [DELETE /warehouseBins/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/deletewarehousebin.md): This method will delete a warehouse bin with the specified ID. ### Returns a warehouse bin from the system by its ID. - [GET /warehouseBins/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/getwarehousebin.md): This method will look up a warehouse bin by the specified ID and return it back. ### Partially updates a warehouse bin with the specified ID. - [PATCH /warehouseBins/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/patchwarehousebin.md): This method will patch an existing warehouse bin with the specified ID, using the HTTP PATCH specification. ### Updates a warehouse bin with the specified ID. - [PUT /warehouseBins/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/updatewarehousebin.md): This method will update an existing warehouse bin with the specified ID. ## Warehouses Warehouses ### Gets all of the warehouses in the system. - [GET /warehouses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/listwarehouses.md): This method will scan all warehouses and and return them to the caller. ### Creates a new warehouse record that does not already exist. - [POST /warehouses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/createwarehouse.md): This method will auto-generate an ID and create a new warehouse. If an ID is specified for the warehouse, an error will be thrown. ### Execute Batch Operations - [POST /warehouses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a warehouse from the system by its ID. - [DELETE /warehouses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/deletewarehouse.md): This method will delete a warehouse with the specified ID. ### Returns a warehouse from the system by its ID. - [GET /warehouses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/getwarehouse.md): This method will look up a warehouse by the specified ID and return it back. ### Partially updates a warehouse with the specified ID. - [PATCH /warehouses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/patchwarehouse.md): This method will patch an existing warehouse with the specified ID, using the HTTP PATCH specification. ### Updates a warehouse with the specified ID. - [PUT /warehouses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/updatewarehouse.md): This method will update an existing warehouse with the specified ID.